package dev.pfaff.glass.glfw.callbacks;

import dev.pfaff.glass.glfw.GLFWwindow;
import dev.pfaff.glass.glfw.KeyAction;

/**
 * @see <a href="https://www.glfw.org/docs/3.4/group__input.html">Input reference</a>
 * @see <a href="https://www.glfw.org/docs/3.4/group__keys.html">Keyboard key tokens</a>
 * @see <a href="https://www.glfw.org/docs/3.4/group__mods.html">Modifier key flags</a>
 */
@FunctionalInterface
public interface KeyCallback {
	void keyUpdated(GLFWwindow window, int key, int scanCode, KeyAction action, int modifiers);
}
