package dev.pfaff.glass.opengl.enums;

import java.util.List;

import dev.pfaff.glass.opengl.GLEnum;

import static java.util.FormatProcessor.FMT;

public enum GLVertexAttribPointerPropertyARB implements GLEnum {
	VERTEX_ATTRIB_ARRAY_POINTER(0x8645);
	
	private final int glEnum;

	GLVertexAttribPointerPropertyARB(int glEnum) {
		this.glEnum = glEnum;
	}

	public static final List<GLVertexAttribPointerPropertyARB> VALUES = List.of(values());

	@Override
	public int glEnum() {
		return glEnum;
	}

	/**
	 * Returns the enum constant corresponding to the provided raw value.
	 *
	 * @throws IllegalArgumentException if the provided raw value does not exist in this enum group.
	 */
	public static GLVertexAttribPointerPropertyARB fromGLEnum(int glEnum) {
		return switch (glEnum) {
			case 0x8645 -> VERTEX_ATTRIB_ARRAY_POINTER;
			default -> throw RawGLEnum.newUnrecognizedValueError(glEnum, "GLVertexAttribPointerPropertyARB");
		};
	}
}